Bug 1247672 - Review Request: fstrcmp - Fuzzy string compare library
Review Request: fstrcmp - Fuzzy string compare library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Cronenworth
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1245929
  Show dependency treegraph
 
Reported: 2015-07-28 11:06 EDT by Mohamed El Morabity
Modified: 2015-08-22 18:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.7.D001-4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-18 01:19:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mike: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mohamed El Morabity 2015-07-28 11:06:43 EDT
Spec URL: https://melmorabity.fedorapeople.org/packages/fstrcmp/fstrcmp.spec
SRPM URL: https://melmorabity.fedorapeople.org/packages/fstrcmp/fstrcmp-0.7.D001-1.fc22.src.rpm
Description:
The fstrcmp package provides a library which may be used to make fuzzy
comparisons of strings and byte arrays. It also provides simple commands for use
in shell scripts.
Fedora Account System Username: melmorabity
Comment 1 Michael Cronenworth 2015-07-29 10:50:36 EDT
Upstream has marked their source files very strangely. Some files are marked GPL3+ and some are LGPL3+. While this isn't a problem I just wanted to point it out.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/lib64/libfstrcmp.so.0
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

  You have %{_libdir}/*.so.* in the spec listed twice.

- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file fstrcmp_license.1.gz is marked as %doc instead of
  %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

  This contains a duplicate copy of the LICENSE file contents. Might as well move it to the %license tag.

- The package contains tests, but they are not used. You can call them by "make t0001a", "make t0002a", etc.

Fix these issues and we can pass this review.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v3 or later)", "GPL (v3 or later)", "Unknown or
     generated". 1 files have unknown license. Detailed output of
     licensecheck in /srv/ssd/michael/Temp/1247672-fstrcmp/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/licenses/fstrcmp(languages, langpacks:, enabled, are, No),
     /usr/share/doc/fstrcmp(languages, langpacks:, enabled, are, No),
     /usr/share/doc/fstrcmp-devel(languages, langpacks:, enabled, are, No)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: fstrcmp-0.7.D001-1.fc22.x86_64.rpm
          fstrcmp-devel-0.7.D001-1.fc22.x86_64.rpm
          fstrcmp-0.7.D001-1.fc22.src.rpm
fstrcmp-devel.x86_64: W: only-non-binary-in-usr-lib
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: fstrcmp-debuginfo-0.7.D001-1.fc22.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
fstrcmp-devel.x86_64: W: only-non-binary-in-usr-lib
3 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
fstrcmp-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    fstrcmp(x86-64)
    libfstrcmp.so.0()(64bit)

fstrcmp (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libfstrcmp.so.0()(64bit)
    rtld(GNU_HASH)

Provides
--------
fstrcmp-devel:
    fstrcmp-devel
    fstrcmp-devel(x86-64)
    pkgconfig(fstrcmp)

fstrcmp:
    fstrcmp
    fstrcmp(x86-64)
    libfstrcmp.so.0()(64bit)



Source checksums
----------------
http://downloads.sourceforge.net/fstrcmp/fstrcmp-0.7.D001.tar.gz :
  CHECKSUM(SHA256) this package     : e4018e850f80700acee8da296e56e15b1eef711ab15157e542e7d7e1237c3476
  CHECKSUM(SHA256) upstream package : e4018e850f80700acee8da296e56e15b1eef711ab15157e542e7d7e1237c3476
Comment 2 Mohamed El Morabity 2015-08-01 07:37:32 EDT
New release:

Spec URL: https://melmorabity.fedorapeople.org/packages/fstrcmp/fstrcmp.spec
SRPM URL: https://melmorabity.fedorapeople.org/packages/fstrcmp/fstrcmp-0.7.D001-2.fc22.src.rpm

- Fix duplicates in %files
- Mark license man page as %license
- Add unit tests in %check
Comment 3 Michael Cronenworth 2015-08-01 15:17:20 EDT
The %license tag only works on source-level files. The guidelines don't mention a man-page duplicate and what to do with it, so since we already have a copy of the license I'm going to make a judgement call to just remove the %license tag on the man page copy and ignore the review warning.

PASSED
Comment 4 Mohamed El Morabity 2015-08-08 06:20:47 EDT
Thanks for your review :)
Comment 5 Mohamed El Morabity 2015-08-08 06:22:33 EDT
New Package SCM Request
=======================
Package Name: fstrcmp
Short Description: Fuzzy string compare library
Upstream URL: http://fstrcmp.sourceforge.net/
Owners: melmorabity
Branches: f22 f23
InitialCC:
Comment 6 Gwyn Ciesla 2015-08-10 12:54:59 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-08-12 06:57:31 EDT
fstrcmp-0.7.D001-4.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/fstrcmp-0.7.D001-4.fc23
Comment 8 Fedora Update System 2015-08-12 06:57:51 EDT
fstrcmp-0.7.D001-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fstrcmp-0.7.D001-4.fc22
Comment 9 Fedora Update System 2015-08-12 16:11:45 EDT
fstrcmp-0.7.D001-4.fc23 has been pushed to the Fedora 23 testing repository.
Comment 10 Fedora Update System 2015-08-18 01:19:56 EDT
fstrcmp-0.7.D001-4.fc23 has been pushed to the Fedora 23 stable repository.
Comment 11 Fedora Update System 2015-08-22 18:49:57 EDT
fstrcmp-0.7.D001-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.